Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Alexandre Restovtsev" <tetromino@...>
Subject: proj/gnome:master commit in: sys-apps/gnome-disk-utility/
Date: Fri, 8 Jul 2011 20:59:19 +0000 (UTC)
commit:     ee6582cd3c3902f08bc1c5c901c97cefac107db2
Author:     Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Fri Jul  8 20:54:55 2011 +0000
Commit:     Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Fri Jul  8 20:54:55 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=ee6582cd

sys-apps/gnome-disk-utility: 3.0.0 → 3.0.2

Version bump, now supports DeviceAutomountHint.

---
 ....0.0.ebuild => gnome-disk-utility-3.0.2.ebuild} |   10 +++++++---
 .../gnome-disk-utility-9999.ebuild                 |   14 ++++++++++----
 2 files changed, 17 insertions(+), 7 deletions(-)

diff --git a/sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.0.ebuild b/sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.2.ebuild
similarity index 93%
rename from sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.0.ebuild
rename to sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.2.ebuild
index f3a3a42..10e00eb 100644
--- a/sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.0.ebuild
+++ b/sys-apps/gnome-disk-utility/gnome-disk-utility-3.0.2.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-apps/gnome-disk-utility/gnome-disk-utility-2.32.0.ebuild,v 1.3 2011/01/07 21:04:46 pacho Exp $
 
-EAPI="3"
+EAPI="4"
 GCONF_DEBUG="no"
 GNOME2_LA_PUNT="yes"
 
@@ -72,6 +72,10 @@ src_prepare() {
 	# Keep avahi optional, upstream bug #631986
 	epatch "${FILESDIR}/${PN}-2.91.6-optional-avahi.patch"
 
-	intltoolize --force --copy --automake || die
-	eautoreconf
+	if [[ ${PV} != 9999 ]]; then
+		intltoolize --force --copy --automake || die
+		eautoreconf
+	fi
+
+	gnome2_src_prepare
 }

diff --git a/sys-apps/gnome-disk-utility/gnome-disk-utility-9999.ebuild b/sys-apps/gnome-disk-utility/gnome-disk-utility-9999.ebuild
index 95b5920..10e00eb 100644
--- a/sys-apps/gnome-disk-utility/gnome-disk-utility-9999.ebuild
+++ b/sys-apps/gnome-disk-utility/gnome-disk-utility-9999.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-apps/gnome-disk-utility/gnome-disk-utility-2.32.0.ebuild,v 1.3 2011/01/07 21:04:46 pacho Exp $
 
-EAPI="3"
+EAPI="4"
 GCONF_DEBUG="no"
 GNOME2_LA_PUNT="yes"
 
@@ -32,19 +32,20 @@ CDEPEND="
 	>=dev-libs/libatasmart-0.14
 	>=x11-libs/libnotify-0.6.1
 
-	>=gnome-base/nautilus-2.24
-
 	avahi? ( >=net-dns/avahi-0.6.25[gtk3] )
 	gnome-keyring? ( || (
 		gnome-base/libgnome-keyring
 		<gnome-base/gnome-keyring-2.29.4 ) )
+	nautilus? ( >=gnome-base/nautilus-2.91.0 )
 "
 RDEPEND="${CDEPEND}
+	x11-misc/xdg-utils
 	fat? ( sys-fs/dosfstools )
 	!!sys-apps/udisks"
 DEPEND="${CDEPEND}
 	sys-devel/gettext
 	gnome-base/gnome-common
+	app-text/docbook-xml-dtd:4.1.2
 	app-text/scrollkeeper
 	app-text/gnome-doc-utils
 
@@ -54,7 +55,7 @@ DEPEND="${CDEPEND}
 
 	doc? ( >=dev-util/gtk-doc-1.3 )"
 
-src_prepare() {
+pkg_setup() {
 	G2CONF="${G2CONF}
 		--disable-static
 		$(use_enable avahi avahi-ui)
@@ -62,6 +63,11 @@ src_prepare() {
 		$(use_enable remote-access)
 		$(use_enable gnome-keyring)"
 	DOCS="AUTHORS NEWS README TODO"
+}
+
+src_prepare() {
+	sed -e '/printf/s:nautilus:xdg-open:' \
+		-i src/palimpsest/gdu-section-volumes.c || die "#350919"
 
 	# Keep avahi optional, upstream bug #631986
 	epatch "${FILESDIR}/${PN}-2.91.6-optional-avahi.patch"


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/gnome:master commit in: sys-apps/gnome-disk-utility/
Next by thread:
proj/perl-overlay:master commit in: dev-perl/DateTime-TimeZone-Tzfile/
Previous by date:
gentoo-x86 commit in profiles/arch/mips: ChangeLog package.use.mask
Next by date:
proj/gnome:gnome-next commit in: sys-apps/gnome-disk-utility/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.